Bug 1305889 - kernel update doesn't update tboot entries in grub2 config file
kernel update doesn't update tboot entries in grub2 config file
Status: NEW
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: grubby (Show other bugs)
7.2
x86_64 Linux
medium Severity medium
: rc
: ---
Assigned To: Peter Jones
Release Test Team
:
Depends On:
Blocks: 1203710 1420851 1245518
  Show dependency treegraph
 
Reported: 2016-02-09 09:06 EST by Martin Wilck
Modified: 2017-11-24 03:33 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Wilck 2016-02-09 09:06:46 EST
Description of problem:
If tboot is installed and active, and the kernel package is updated with "yum update kernel", the tboot entry in /boot/grub2/grub.cfg or /boot/efi/EFI/redhat/grub.cfg still refer to the old kernel package

Version-Release number of selected component (if applicable):
grubby-8.28-17.el7.x86_64

How reproducible:
always

Steps to Reproduce:
1. configure RHEL 7.2 for booting with tboot
2. update the kernel package

Actual results:
The "boot" boot entry is still the same as before, referencing the previous kernel. This will be so even if that kernel has been uninstalled.

Expected results:
tboot entries are added for the new kernel, or changed from the old one to the new one.

Additional info:
This is because the kernel %post script just calls grubby to an entry, and grubby doesn't support tboot.

WORKAROUND: manually run grub2-mkconfig as appropriate for the system (legacy or UEFI) after the kernel update.
Comment 2 Peter Jones 2016-03-01 15:59:48 EST
Please attach the config file as it appears and how it's supposed to appear.
Comment 4 Christian Horn 2017-08-06 20:51:45 EDT
Changing needinfo, as Martin is no longer at Fujitsu Technology Solutions.
Japanese divisions have taken over the bugzillas.
Comment 5 fj-lsoft-bm 2017-08-24 19:55:35 EDT
Sugimoto-san,

Can you reply to Comment2 ?

Regards,
Nagahama
Comment 6 Bill Gianopoulos 2017-08-29 17:02:46 EDT
Please see https://bugzilla.redhat.com/show_bug.cgi?id=1486454#c3
Comment 7 fj-lsoft-rh-ospl 2017-11-24 03:33:15 EST
Dear RedHat,

I'm sorry for my very late response.

Bill-san, Thank you for your information.

We cannot reproduce this problem now. 

Please close this ticket once. 

Best Regard,
Koji Sugimoto

Note You need to log in before you can comment on or make changes to this bug.